Package com.oracle.truffle.api.nodes

## Interface NodeUtil.FieldOffsetProvider

Enclosing class:
  NodeUtil

    public static interface NodeUtil.FieldOffsetProvider

Interface that allows the customization of field offsets used for `Unsafe` field accesses.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getTypeSize​(java.lang.Class<?> clazz)`
`long` `objectFieldOffset​(java.lang.reflect.Field field)`

### Method Detail

#### objectFieldOffset

    long objectFieldOffset​(java.lang.reflect.Field field)

#### getTypeSize

    int getTypeSize​(java.lang.Class<?> clazz)